---
title: Product
suppress_header: true
extra_css:
  - product.css
---

.blank-header
  %img.image-border.image-border-left{ src: "/images/home/icons-pattern-left.svg", alt: "Gitlab hero border pattern left svg" }
  %img.image-border.image-border-right{ src: "/images/home/icons-pattern-right.svg", alt: "Gitlab hero border pattern right svg" }
  .header-content
    %img.hero-image-small{ src: "/images/devops-tools/gitlab-logo.svg", alt: "Gitlab logo svg" }
    %h1 Product
    %p
      :markdown
        GitLab is a complete DevOps platform, delivered as a single application, fundamentally changing the way Development, Security, and Ops teams collaborate. GitLab helps teams accelerate software delivery from weeks to minutes, reduce development costs, and reduce the risk of application vulnerabilities while increasing developer productivity.
    %a.btn.cta-btn.btn-red{ href: '/demo/' }
      Watch a GitLab demo

.toc-links
  - data.stages.stages.select{|stageKey,stage| stage.marketing}.each do |key, stage|
    %a.capitalize{ href: "##{key.gsub('_', '-').downcase}" }
      = key.gsub('_', '-').downcase

.gitlab-content-container.padding-top20
  .content
    - data.stages.stages.select{|stageKey,stage| stage.marketing}.each do |key, stage|
      %h2.stage-name{ id: "#{key.gsub('_', '-').downcase}" }
        = stage.display_name
      .tile
        .grid-layout.grid-layout2
          - data.categories.each do |key, category|
            - url = category.alt_link ? category.alt_link : "/product/#{key.gsub('_', '-').downcase}"
            - if (stage.display_name.downcase === category.stage) && category.marketing && category.maturity && category.maturity != "planned"
              .grid-item.flex-container.flex-column.flex-start
                %a.category-title.flex-container.align-center.full-width{ href: "#{url}" }
                  %img.category-logo{ src: "/images/devops-tools/gitlab-logo.svg", alt: "GitLab logo svg" }
                  %h3.margin0{ id: "#{key.gsub('_', '-').downcase}" }
                    = category.name
                - if category.description? || category.description != ""
                  %p.margin-top20
                    = category.description
                %a.learn-more.flex-container.align-center{ href: "#{url}" }
                  Learn More →

.gitlab-cta-container.text-center
  .container
    %h2.color-primary
      Choose the version of GitLab that is best for you
    %p
      Host GitLab on your servers or let us host it for you
    %a.btn.cta-btn.accent.margin-top20{href: "/pricing"}
      Explore our plans
